<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.nantian.cloud.jljc.mapper.RegulationInfoMapper">

	<!-- 可根据自己的需求，是否要使用 -->
	<resultMap type="com.nantian.cloud.jljc.entity.RegulationInfo" id="RegulationInfoMap">
		<id property="id" column="id"/>
		<result property="regulationCode" column="regulation_code"/>
		<result property="regulationName" column="regulation_name"/>
		<result property="regulationType" column="regulation_type"/>
		<result property="regulationCategory"  column="regulation_category"/>
		<result property="regulationDetail" column="regulation_detail"/>
		<result property="regulationOrigin" column="regulation_origin"/>
		<result property="regulationFile" column="regulation_file"/>
		<result property="industryId" column="industry_id"/>
		<result property="regulationStatus" column="regulation_status"/>
		<result property="publishDate" column="publish_date"/>
		<result property="executeDate"  column="execute_date"/>
		<result property="auditStatus" column="audit_status"/>
		<result property="auditorId" column="auditor_id"/>
		<result property="auditRemark" column="audit_remark"/>
		<result  property="auditDate" column="audit_date"/>
		<result column="userid" property="userid"/>
		<result column="update_time" property="updateTime"/>
		<result column="del_flag" property="delFlag"/>
		<result column="dept_id" property="deptId"/>
	</resultMap>

	<sql id="RegulationInfoColumnList">
    id, regulation_code, regulation_name, regulation_type, regulation_category, regulation_detail, regulation_origin,
    regulation_file, industry_id, regulation_status, publish_date, execute_date, audit_status, auditor_id, audit_remark, audit_date,
	userid, update_time, del_flag, dept_id
  	</sql>
</mapper>
